Subject: bug#22012: closed (Re: bug#22012: 25.1.50; gdb broken by (json-string-format "doesn't start with `\"'!"))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 Feb 2018 10:24:02 +0000

Your bug report

#22012: 25.1.50; gdb broken by (json-string-format "doesn't start with `\"'!")

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22012: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22012
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22012: 25.1.50; gdb broken by (json-string-format "doesn't start with `\"'!")
From: martin rudalics <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 13 Feb 2018 11:22:55 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

 > When I manage to reproduce it, I will post the contents of the buffer.

Apparently I didn't manage to do that in the past two years so I'm
closing this bug.

Thanks to all involved, martin

Subject: 25.1.50; gdb broken by (json-string-format "doesn't start with `\"'!")
From: martin rudalics <[email-masked]>
To: Bug-Gnu-Emacs <[email-masked]>
Date: Wed, 25 Nov 2015 18:49:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Setting a breakpoint in gdb currently fails with a message like

Debugger entered--Lisp error: (json-string-format "doesn't start with `\"'!")
   signal(json-string-format ("doesn't start with `\"'!"))
   json-read-string()
   json-read-object()
   apply(json-read-object nil)
   json-read()
   json-read-object()
   apply(json-read-object nil)
   json-read()
   gdb-json-read-buffer("bkpt" "script")
   gdb-json-partial-output("bkpt" "script")
   gdb-breakpoints-list-handler-custom()
   gdb-breakpoints-list-handler()
   apply(gdb-breakpoints-list-handler nil)
   (save-current-buffer (set-buffer #<buffer *breakpoints of emacs.exe*>) (apply (quote gdb-breakpoints-list-handler) args))
   (with-current-buffer #<buffer *breakpoints of emacs.exe*> (apply (quote gdb-breakpoints-list-handler) args))
   (lambda (&rest args) (with-current-buffer #<buffer *breakpoints of emacs.exe*> (apply (quote gdb-breakpoints-list-handler) args)))()
   gdb-handle-reply(21)
   gdbmi-bnf-incomplete-record-result("21" (gdb-done . progressive))
   #[0 "\302\300\301\242\"\207" ["21" ((gdb-done . progressive)) gdbmi-bnf-incomplete-record-result] 3]()
   gdbmi-bnf-result-and-async-record-impl()
   gdbmi-bnf-async-record()
   gdbmi-bnf-out-of-band-record()
   gdbmi-bnf-output()
t\\\\trunk\\\\src\\\\sysdep.c\",line=\"905\",times=\"0\",script={\"silent\",\"xgetptr globals.f_Vinitial_window_system\",\"xsymname $ptr\",\"xgetptr $symname\",\"set $tem = (struct Lisp_String *) $ptr\",\"set $tem = (char *) $tem->data\",\"if $tem[0] == 'x' && $tem[1] == '\\0'\",\"break 
x_error_quitter\",\"end\",\"continue\"},original-location=\"init_sys_modes\"},bkpt={number=\"3\",type=\"breakpoint\",disp=\"keep\",enabled=\"y\",addr=\"0x010c13e5\",func=\"Fsplit_window_internal\",file=\"../../src/window.c\",fullname=\"c:\\\\emacs-git\\\\trunk\\\\src\\\\window.c\",line=\"4253\",times=\"0\",original-location=\"window.c:4253\"}]}\n(gdb) \n")
acs-git\\\\trunk\\\\src\\\\sysdep.c\",line=\"905\",times=\"0\",script={\"silent\",\"xgetptr globals.f_Vinitial_window_system\",\"xsymname $ptr\",\"xgetptr $symname\",\"set $tem = (struct Lisp_String *) $ptr\",\"set $tem = (char *) $tem->data\",\"if $tem[0] == 'x' && $tem[1] == '\\0'\",\"break 
x_error_quitter\",\"end\",\"continue\"},original-location=\"init_sys_modes\"},bkpt={number=\"3\",type=\"breakpoint\",disp=\"keep\",enabled=\"y\",addr=\"0x010c13e5\",func=\"Fsplit_window_internal\",file=\"../../src/window.c\",fullname=\"c:\\\\emacs-git\\\\trunk\\\\src\\\\window.c\",line=\"4253\",times=\"0\",original-location=\"window.c:4253\"}]}\n(gdb) \n")
runk\\\\src\\\\sysdep.c\",line=\"905\",times=\"0\",script={\"silent\",\"xgetptr globals.f_Vinitial_window_system\",\"xsymname $ptr\",\"xgetptr $symname\",\"set $tem = (struct Lisp_String *) $ptr\",\"set $tem = (char *) $tem->data\",\"if $tem[0] == 'x' && $tem[1] == '\\0'\",\"break 
x_error_quitter\",\"end\",\"continue\"},original-location=\"init_sys_modes\"},bkpt={number=\"3\",type=\"breakpoint\",disp=\"keep\",enabled=\"y\",addr=\"0x010c13e5\",func=\"Fsplit_window_internal\",file=\"../../src/window.c\",fullname=\"c:\\\\emacs-git\\\\trunk\\\\src\\\\window.c\",line=\"4253\",times=\"0\",original-location=\"window.c:4253\"}]}\n(gdb) \n")
\\\\emacs-git\\\\trunk\\\\src\\\\sysdep.c\",line=\"905\",times=\"0\",script={\"silent\",\"xgetptr globals.f_Vinitial_window_system\",\"xsymname $ptr\",\"xgetptr $symname\",\"set $tem = (struct Lisp_String *) $ptr\",\"set $tem = (char *) $tem->data\",\"if $tem[0] == 'x' && $tem[1] == '\\0'\",\"break 
x_error_quitter\",\"end\",\"continue\"},original-location=\"init_sys_modes\"},bkpt={number=\"3\",type=\"breakpoint\",disp=\"keep\",enabled=\"y\",addr=\"0x010c13e5\",func=\"Fsplit_window_internal\",file=\"../../src/window.c\",fullname=\"c:\\\\emacs-git\\\\trunk\\\\src\\\\window.c\",line=\"4253\",times=\"0\",original-location=\"window.c:4253\"}]}\n(gdb) \n")

In GNU Emacs 25.1.50.1 (i686-pc-mingw32)
  of 2015-11-24
Repository revision: e53b310fdecd7e3f130295b85b15289046d7a430
Windowing system distributor 'Microsoft Corp.', version 5.1.2600
Configured using:
  'configure --prefix=/c/emacs-git/ CFLAGS=-O3'

martin